video
from0.0298 / s
PixVerse 6
Generates videos from text or images with native sound and control over the first and last frames.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "pixverse/v6/text-to-video", { input: { "prompt": "A cinematic scene at sunset", "duration": 5, "resolution": "720p", "aspect_ratio": "16:9", "generate_audio": true }, withPolling: true, },); console.log(result);Calling the API
Use pixverse/v6/text-to-video with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "pixverse/v6/text-to-video", { input: { "prompt": "A cinematic scene at sunset", "duration": 5, "resolution": "720p", "aspect_ratio": "16:9", "generate_audio": true }, withPolling: true, },); console.log(result);Request parameters
promptstring · required
Write your prompt here
{
"type": "string",
"title": "Prompt",
"maxLength": 5000,
"minLength": 1,
"description": "Write your prompt here"
}negative_promptstring · optional
Negative prompt
{
"type": "string",
"title": "Negative prompt",
"maxLength": 2048,
"minLength": 1
}durationnumber · optional
Duration
Default: 5
{
"type": "number",
"title": "Duration",
"default": 5,
"maximum": 15,
"minimum": 1
}resolutionstring · optional
Resolution
Options: 360p, 540p, 720p, 1080p
Default: "720p"
{
"enum": [
"360p",
"540p",
"720p",
"1080p"
],
"type": "string",
"title": "Resolution",
"default": "720p"
}generate_audioboolean · optional
Generate audio
Default: true
{
"type": "boolean",
"title": "Generate audio",
"default": true
}seedinteger · optional
Seed
{
"type": "integer",
"title": "Seed",
"maximum": 2147483647,
"minimum": 0
}aspect_ratiostring · optional
Aspect ratio
Options: 16:9, 4:3, 1:1, 3:4, 9:16
Default: "16:9"
{
"enum": [
"16:9",
"4:3",
"1:1",
"3:4",
"9:16"
],
"type": "string",
"title": "Aspect ratio",
"default": "16:9"
}Price
From $0.0298 per second.
View all pricing